realised that ls commands will differ for platforms

This commit is contained in:
depsterr 2020-02-06 10:34:35 +01:00
parent f5a271b56f
commit ae7bb2d79a
1 changed files with 11 additions and 17 deletions

View File

@ -112,25 +112,19 @@ select OPTION in "PinePhone device" "PineTab device" "Dont Be Evil devkit"; do
esac esac
done done
# Check if already downloaded before downloading # Downloading images
ls u-boot.zip || { echo -e "\e[1mDownloading images...\e[0m"
# Downloading images WGET=$(wget_cmd)
echo -e "\e[1mDownloading images...\e[0m" UBOOT_DOWNLOAD="https://gitlab.com/sailfishos-porters-ci/dont_be_evil-ci/-/jobs/artifacts/$BRANCH/download?job=$UBOOT_JOB"
WGET=$(wget_cmd) $WGET "${UBOOT_JOB}.zip" "${UBOOT_DOWNLOAD}" || {
UBOOT_DOWNLOAD="https://gitlab.com/sailfishos-porters-ci/dont_be_evil-ci/-/jobs/artifacts/$BRANCH/download?job=$UBOOT_JOB" echo >&2 "UBoot image download failed. Aborting."
$WGET "${UBOOT_JOB}.zip" "${UBOOT_DOWNLOAD}" || { exit 2
echo >&2 "UBoot image download failed. Aborting."
exit 2
}
} }
# Check if already downloaded before downloading ROOTFS_DOWNLOAD="https://gitlab.com/sailfishos-porters-ci/dont_be_evil-ci/-/jobs/artifacts/$BRANCH/download?job=$ROOTFS_JOB"
ls pinephone-rootfs.zip || { $WGET "${ROOTFS_JOB}.zip" "${ROOTFS_DOWNLOAD}" || {
ROOTFS_DOWNLOAD="https://gitlab.com/sailfishos-porters-ci/dont_be_evil-ci/-/jobs/artifacts/$BRANCH/download?job=$ROOTFS_JOB" echo >&2 "Root filesystem image download failed. Aborting."
$WGET "${ROOTFS_JOB}.zip" "${ROOTFS_DOWNLOAD}" || { exit 2
echo >&2 "Root filesystem image download failed. Aborting."
exit 2
}
} }
# Select flash target # Select flash target